org.eclipse.rdf4j.model.util.language

## Class IanaLanguageTag

- java.lang.Object
- - org.eclipse.rdf4j.model.util.language.LanguageTag
  - - org.eclipse.rdf4j.model.util.language.IanaLanguageTag

- All Implemented Interfaces:
    LanguageTagCodes

  Deprecated.
  Use `instead`

      @Deprecated
      public class IanaLanguageTag
      extends LanguageTag

  Language codes registered by IANA. An encapsulation of the IANA language registry found at http://www.iana.org/assignments/language-tags. The values were updated on 8th July 2002 from a file dated 7th July 2002.
  Author:
    jjc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `classification` Deprecated. The bitwise OR of all applicable values from `LanguageTagCodes`.

    - ### Fields inherited from interface org.eclipse.rdf4j.model.util.language.LanguageTagCodes

      `LT_DEFAULT, LT_EXTRA, LT_IANA, LT_IANA_DEPRECATED, LT_ILLEGAL, LT_ISO3166, LT_ISO639, LT_LOCAL_USE, LT_MULTIPLE, LT_PRIVATE_USE, LT_UNDETERMINED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IanaLanguageTag` | `find(LanguageTag t)` Deprecated. Look up a language identifier in the IANA list.

    - ### Methods inherited from class org.eclipse.rdf4j.model.util.language.LanguageTag

      `getCountry, getLanguage, getVariant, hasCountry, hasLanguage, hasVariant, toLocale, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### classification

          public final int classification

      Deprecated.
      The bitwise OR of all applicable values from `LanguageTagCodes`. The possibilities are:
      - `LT_IANA`
      - `LT_IANA|LT_IANA_DEPRECATED`
      - `LT_IANA|LT_DEFAULT` i.e. `i-default`

  - ### Method Detail

    - #### find

          public static IanaLanguageTag find(LanguageTag t)

      Deprecated.
      Look up a language identifier in the IANA list. Trailing additional subtags are ignored.
      Parameters:
        `t` - The LanguageTag corresponding to the item being looked up.
      Returns:
        The IanaLanguageTag if found, or null if it is not in the list.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.